OpenNMS API 1.2.9

## org.opennms.web.outage
Class OutageSummary

    java.lang.Object
      org.opennms.web.outage.OutageSummary

public class OutageSummary
extends java.lang.Object

A data structure holding information on all outages on a single IP address.

Author:
  Lawrence Karnowski , OpenNMS

Field Summary
`protected int` `nodeId`
`protected java.lang.String` `nodeLabel`
`protected java.util.Date` `timeDown`

Constructor Summary
`OutageSummary(int nodeId, java.lang.String nodeLabel, java.util.Date timeDown)`

Method Summary
`java.lang.String` `getHostname()` Deprecated. Please use `getNodeLabel`instead.
`int` `getNodeId()`
`java.lang.String` `getNodeLabel()`
`java.util.Date` `getTimeDown()`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### nodeId

    protected int nodeId

### nodeLabel

    protected java.lang.String nodeLabel

### timeDown

    protected java.util.Date timeDown

Constructor Detail

### OutageSummary

    public OutageSummary(int nodeId,
                         java.lang.String nodeLabel,
                         java.util.Date timeDown)

Method Detail

### getNodeId

    public int getNodeId()

### getHostname

    public java.lang.String getHostname()

  Deprecated. Please use `getNodeLabel`instead.

### getNodeLabel

    public java.lang.String getNodeLabel()

### getTimeDown

    public java.util.Date getTimeDown()

### toString

    public java.lang.String toString()

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.